Koozali.org formerly Contribs.org

Upgrading from 7.x to 8.x

Upgrading from 7.x to 8.x
« on: June 16, 2011, 08:40:16 PM »
I have two questions about upgrading to 8.x

1) Before upgrading I know I will need to remove php5-cgi.
I have a lot of i-bays, and over they years, for some of them I enabled php5-cgi and for some of them not. At this point I don't remember all the i-bay I have enabled php5-cgi for.

My question is, how do I find out which i-bays have php5-cgi enabled for them so I can run a command to return to default version of PHP?

2) What is the "safer" or recommended upgrade method, using CD or YUM?
SME user and community member since 2005.
Want to install Wordpress in iBay of SME Server?
See my step-by-step How-To wiki here:
http://wiki.contribs.org/Wordpress_Multisite

Offline cactus

  • *
  • 4,880
    • http://www.snetram.nl
Re: Upgrading from 7.x to 8.x
« Reply #1 on: June 17, 2011, 01:52:35 PM »
2) What is the "safer" or recommended upgrade method, using CD or YUM?
Both should be equal, but during beta stages upgrade paths are not checked so errors could be possible. I suggest you make a proper backup before doing so.
Be careful whose advice you buy, but be patient with those who supply it. Advice is a form of nostalgia, dispensing it is a way of fishing the past from the disposal, wiping it off, painting over the ugly parts and recycling it for more than its worth ~ Baz Luhrmann - Everybody's Free (To Wear Sunscreen)

Re: Upgrading from 7.x to 8.x
« Reply #2 on: June 17, 2011, 07:35:26 PM »
Thank you cactus for your reply.

How about my first question, does anybody know how to find out which i-bays have php5-cgi enabled for them?
SME user and community member since 2005.
Want to install Wordpress in iBay of SME Server?
See my step-by-step How-To wiki here:
http://wiki.contribs.org/Wordpress_Multisite

Offline Stefano

  • *
  • 10,790
  • Skype account: maghissimo
    • Smeserver italian community
Re: Upgrading from 7.x to 8.x
« Reply #3 on: June 17, 2011, 08:20:21 PM »
a dirty trick
Code: [Select]
db accounts show | grep -B15 -i php5 | grep '=ibay'

HTH
Consulente di Smeserver.it -  Soluzioni e supporto su Sme server in Italia

Re: Upgrading from 7.x to 8.x
« Reply #4 on: June 18, 2011, 12:41:45 AM »
Stefano,
thank you very much, works great
SME user and community member since 2005.
Want to install Wordpress in iBay of SME Server?
See my step-by-step How-To wiki here:
http://wiki.contribs.org/Wordpress_Multisite

Re: Upgrading from 7.x to 8.x
« Reply #5 on: June 19, 2011, 07:24:22 PM »
Bug created to automatically obsolete the php5-cgi contrib:

http://bugs.contribs.org/show_bug.cgi?id=6652